aboutsummaryrefslogtreecommitdiff
path: root/etc/environment/default
diff options
context:
space:
mode:
Diffstat (limited to 'etc/environment/default')
-rwxr-xr-xetc/environment/default26
1 files changed, 26 insertions, 0 deletions
diff --git a/etc/environment/default b/etc/environment/default
new file mode 100755
index 0000000..82107f6
--- /dev/null
+++ b/etc/environment/default
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# file : etc/environment/default
+# copyright : Copyright (c) 2014-2017 Code Synthesis Ltd
+# license : TBC; see accompanying LICENSE file
+
+# Environment setup script for C/C++ compilation.
+
+c=gcc
+cxx=g++
+
+# $1 - target
+# $2 - bbot executable
+# $3+ - bbot options
+
+set -e # Exit on errors.
+
+t="$1"
+shift
+
+if test -n "$t"; then
+ echo "unknown target: $t" 1>&2
+ exit 1
+fi
+
+exec "$@" cc config.c="$c" config.cxx="$cxx"